<div id="hidden" class="hidden" data-token='{{ token }}'></div>
<nav>
  <div class="nav nav-tabs auto nav-tabs-scroll" id="pratica-details" role="tablist">
    <a class="nav-item nav-link {% if not tab or tab == 'modulo' %} active {% endif %}" id="modulo-tab"
       data-toggle="tab" href="#modulo" role="tab"
       aria-controls="modulo" aria-selected="{{ not tab or tab == 'modulo' }}">
      {{ 'operatori.modulo' | trans }}
    </a>
    <a class="nav-item nav-link {% if tab == 'allegati' %} active {% endif %}"
       id="allegati-tab"
       data-toggle="tab" href="#allegati" role="tab"
       aria-controls="allegati" aria-selected="{{ tab and tab == 'allegati' }}">
      {{ 'operatori.allegati' | trans }}
      <span class="badge badge-light ml-1">{{ attachments_count + messageAttachments|length }}</span>
    </a>
    <a class="nav-item nav-link {% if tab == 'note' %} active {% endif %} " id="messaggi-tab" data-toggle="tab" href="#messaggi" role="tab"
       aria-controls="messaggi" aria-selected="{{ tab and tab == 'note' }}">
      {{ 'operatori.messaggi.titolo' | trans }}
      <span class="badge badge-light ml-1">{{ pratica.messages | length }}</span>
    </a>
    {% if not has_gateway_with_digital_stamps and pratica.stamps|length > 0 %}
      <a class="nav-item nav-link {% if tab == 'stamps' %} active {% endif %}" id="stamps-tab" data-toggle="tab"
         href="#stamps" role="tab"
         aria-controls="stamps" aria-selected="{{ tab and tab == 'meetings' }}">
        {{ 'general.stamps' | trans }}
        <span class="badge badge-light ml-1">{{ pratica.stamps|length }}</span>
      </a>
    {% endif %}
    {% if pratica.isFormIOType and (pratica.paymentData or pratica.isPaymentExempt or pratica.servizio.isPaymentDeferred) %}
      <a class="nav-item nav-link {% if tab == 'pagamento' %} active {% endif %}" id="pagamento-tab" data-toggle="tab"
         href="#pagamento" role="tab"
         aria-controls="pagamento" aria-selected="{{ tab and tab == 'pagamento' }}">
        {{ 'operatori.pagamento' | trans }}
      </a>
    {% endif %}
    {% if pratica.servizio.protocolRequired or pratica.numeroProtocollo %}
      <a class="nav-item nav-link {% if tab == 'protocollo' %} active {% endif %}" id="protocollo-tab" data-toggle="tab"
         href="#protocollo" role="tab"
         aria-controls="protocollo" aria-selected="{{ tab and tab == 'protocollo' }}">
        {{ 'operatori.protocollo' | trans }}
      </a>
    {% endif %}
    {% if pratica.meetings|length > 0 %}
      <a class="nav-item nav-link {% if tab == 'meetings' %} active {% endif %}" id="meetings-tab" data-toggle="tab"
         href="#meetings" role="tab"
         aria-controls="meetings" aria-selected="{{ tab and tab == 'meetings' }}">
        {{ 'operatori.meetings' | trans }}
      </a>
    {% endif %}
    {% if pratica.hasGeoCoordinates %}
      <a class="nav-item nav-link {% if tab == 'geo' %} active {% endif %}" id="geo-tab" data-toggle="tab"
         href="#geo" role="tab"
         aria-controls="geo" aria-selected="{{ tab and tab == 'map' }}">
        {{ 'operatori.map' | trans }}
      </a>
    {% endif %}
  </div>
</nav>
<div class="tab-content" id="nav-tabContent">
  <div class="tab-pane py-4 fade show {% if not tab or tab == 'modulo' %} show active {% endif %}" id="modulo" role="tabpanel" aria-labelledby="modulo-tab">
    {{ include('Pratiche/summary/parts/modulo.html.twig', {'pratica':pratica, 'formserver_url': formserver_url}) }}
  </div>
  <div class="tab-pane py-4 fade {% if tab and tab == 'allegati' %} show active {% endif %}" id="allegati" role="tabpanel" aria-labelledby="allegati-tab">
    {{ include('Allegato/parts/_application_attachments.html.twig', {'pratica':pratica}) }}
  </div>
  <div class="tab-pane py-4 fade {% if tab == 'note' %} show active {% endif %}" id="messaggi" role="tabpanel" aria-labelledby="messaggi-tab">
    {{ include('Operatori/parts/messaggi.html.twig', {'pratica':pratica}) }}
  </div>
  {% if not has_gateway_with_digital_stamps and pratica.stamps|length > 0 %}
    <div class="tab-pane py-4 fade {% if tab == 'stamps' %} show active {% endif %}" id="stamps" role="tabpanel"
         aria-labelledby="stamps-tab">
      <div class="m-3">
        {{ include('Pratiche/parts/_stamps.html.twig', {'pratica':pratica}) }}
      </div>
    </div>
  {% endif %}
  {% if pratica.isFormIOType and (pratica.paymentData or pratica.isPaymentExempt or pratica.servizio.isPaymentDeferred) %}
    <div class="tab-pane py-4 fade {% if tab == 'pagamento' %} show active {% endif %}" id="pagamento" role="tabpanel"
         aria-labelledby="pagamento-tab">
      {{ include('Operatori/parts/dati_pagamento.html.twig', {'pratica':pratica}) }}
    </div>
  {% endif %}
  {% if pratica.servizio.protocolRequired or pratica.numeroProtocollo %}
  <div class="tab-pane py-4 fade {% if tab == 'protocollo' %} show active {% endif %}" id="protocollo" role="tabpanel"
       aria-labelledby="protocollo-tab">
    <div class="m-3">
      {{ include('Operatori/parts/dati_protocollo.html.twig', {'pratica':pratica}) }}
    </div>
  </div>
  {% endif %}
  {% if pratica.meetings|length > 0 %}
    <div class="tab-pane py-4 fade {% if tab == 'meetings' %} show active {% endif %}" id="meetings" role="tabpanel"
         aria-labelledby="meetings-tab">
      <div class="m-3">
        {{ include('Operatori/parts/meetings.html.twig', {'pratica':pratica}) }}
      </div>
    </div>
  {% endif %}
  {% if pratica.hasGeoCoordinates %}
    <div class="tab-pane py-4 fade {% if tab == 'geo' %} show active {% endif %}" id="geo" role="tabpanel"
         aria-labelledby="geo-tab">
      <div class="m-3">
        {{ include('Pratiche/parts/_map.html.twig', {'pratica':pratica}) }}
      </div>
    </div>
  {% endif %}
</div>
